# Make art code
import board
import time
import adafruit_vl53l1x
import neopixel
import analogio
import pwmio
import digitalio
from adafruit_motor import servo
#import to play sound files
from audiopwmio import PWMAudioOut as AudioOut
from audiocore import WaveFile


#create a PWMOut object
pwm= pwmio.PWMOut(board.A2, frequency=50)
#create a servo object
servo_1= servo.Servo(pwm, max_pulse=2500)
servo_1.angle=0

#lights
pixels=neopixel.NeoPixel(board.NEOPIXEL,10,brightness=0.5,auto_write= True)


#setup distance_sensor
i2c=board.I2C()
distance_sensor=adafruit_vl53l1x.VL53L1X(i2c)
distance_sensor.start_ranging() #start sensing


#speaker
speaker=digitalio.DigitalInOut(board.SPEAKER_ENABLE)
speaker.direction=digitalio.Direction.OUTPUT
speaker.value=True
audio=AudioOut(board.SPEAKER)
path = "sounds/"




def play_sound(filename):
    with open(path + filename, "rb") as wave_file:
        wave= WaveFile(wave_file)
        audio.play(wave)
        while  audio.playing:
            pixels.fill((255,0,0))
            for angle in range(90,181,1):
                servo_1.angle=angle
                time.sleep(0.02)





while True:
    if distance_sensor.data_ready:
        pixels.fill((0,0,0))
        distance = distance_sensor.distance
        print(f"The distance output is {distance}") # get the distance from the distance sensor
        if distance == None:
            distance = 0
        if distance == 0:
            continue
        elif distance <= 100:
            print("success")
            play_sound("spooky-song2.wav")
        else:
            servo_1.angle=90
        distance_sensor.clear_interrupt()
        time.sleep(0.2)



